## xbl 1.1.5

=== debian/changelog ===
xbl (1.1.5-7) unstable; urgency=low

  * QA upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/clean
    - New file.
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): Update obsolete x-dev to x11proto-core-dev
      (important; Closes: #515413). Update obsolete xutils to xutils-dev.
      Update to debhelper 7.1.
    - (Depends): add ${misc:Depends}.
    - (Homepage): Update to Freshmeat.
    - (Maintainer): Set to QA Group.
    - (Standards-Version): Update to 3.8.4.
  * debian/copyright
    - Update layout.
    - Note, this is GPL-1, so not fixing Lintian
      message copyright-refers-to-symlink-license.
  * debian/doc-base
    - (Section): Update from obsolete Games/arcade to Games/Action.
  * debian/{postrm,postinst}
    - Add "set -e".
  * debian/rules
    - (clean): Fix lintian debian-rules-ignores-make-clean-error.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 04 May 2010 15:52:57 +0300

xbl (1.1.5-6) unstable; urgency=low

  * Orphaned the package.

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Jun 2008 21:42:42 -0400

xbl (1.1.5-5) unstable; urgency=low

  * Add build dep on xutils-dev. The configure script gets some linking
    information from xmkmf. Closes: #484193
  * Fix format of debian/NEWS.

 -- Joey Hess <joeyh@debian.org>  Mon, 02 Jun 2008 19:39:35 -0400

xbl (1.1.5-4) unstable; urgency=low

  * Add Homepage field.

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Mar 2008 15:57:57 -0400

xbl (1.1.5-3) unstable; urgency=low

  * Fix nostrip build. Closes: #438286

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Aug 2007 13:52:31 -0400

xbl (1.1.5-2) unstable; urgency=low

  * Update menu file, including for new policy, and not hardcoding the path.
  * Fix menu item name.

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Jul 2007 16:43:30 -0400

xbl (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2007 15:11:33 -0500

xbl (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * Website fixed, watch file back.

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Jun 2006 12:44:40 -0400

xbl (1.1.3-1) unstable; urgency=low

  * New upstream release with no significant changes.
  * Commented out watch file line since the even newer upstream release
    1.1.4 is not currently available due to bad permissions.
  * Current debian policy.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Jun 2006 17:27:13 -0400

xbl (1.1.2-3) unstable; urgency=low

  * Add explcit build dep on libxext-dev since it is linked in explicitly
    (and unnecessarily) due to the config script.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Feb 2006 13:45:06 -0500

xbl (1.1.2-2) unstable; urgency=low

  * Move away from xlibs-dev.
  * Current policy.
  * Debhelper v5.
  * Menu file quoting.
  * FSF address update.

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Nov 2005 20:43:54 -0500

xbl (1.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Mon,  1 Sep 2003 08:42:24 -0400

xbl (1.1.1-1) unstable; urgency=low

  * New upstream release which can use per-user score files, instead of a
    global file. So the program need not be setuid. Added to NEWS.Debian and
    README.Debian explaining how the transition will work.
  * Slight modification to upstream: detect if it's setgid games and if so use
    the old file.
  * Remove global score files on purge.

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Jul 2003 10:19:27 +0200

xbl (1.1-1) unstable; urgency=low

  * New upstream release with security fixes and portability fixes.
    My diff is much smaller now.
  * Brought most recent security fixes forward.

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Jul 2003 11:29:12 -0400

xbl (1.0k-6) unstable; urgency=HIGH

  * Fixed another buffer overflow, in processing of the -display option.
    (Found by auto94042@hushmail.com).
  * Also fixed overflow in DISPLAY processing, and in processing of several
    other options.

 -- Joey Hess <joeyh@debian.org>  Sun, 29 Jun 2003 21:56:52 -0400

xbl (1.0k-5) unstable; urgency=HIGH

  * Applied a patch from Steve Kemp <skx@tardis.ed.ac.uk> to prevent a buffer
    overflow in the use of the XBLOPTIONS environment variable. Possibly
    exploitable to get at group games. Closes: #16952
  * Fixed all the strcat's into allargs from XrmGetResource, which allow
    for similar overflows too, probably.

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Nov 2002 19:34:27 -0500

xbl (1.0k-4) unstable; urgency=low

  * Debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Sat, 16 Nov 2002 22:12:55 -0500

xbl (1.0k-3) unstable; urgency=low

  * Globally change the Rxx macros to xbl_Rxx, since they conflicted with
    (badly named) registers in an enum in a system header file on arm. The
    macros are really useless for modern C, and I could have just removed
    them, but this is a simple to maintain substitution:
       perl -i.bak -pe 's/R([0-9]+\()/xbl_R$1/g' *
    Closes: #129169

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Jan 2002 12:11:18 -0500

xbl (1.0k-2) unstable; urgency=low

  * Build-depend on xutils, because xmkmf is needed. Closes: #127177

 -- Joey Hess <joeyh@debian.org>  Mon, 31 Dec 2001 16:23:59 -0500

xbl (1.0k-1) unstable; urgency=low

  * New upstream version, requiring some horrendous hacks to work. Blah.

 -- Joey Hess <joeyh@debian.org>  Fri, 28 Dec 2001 23:02:03 -0500

xbl (1.0j-2) unstable; urgency=low

  * removed dwww entry and went to doc-base.

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Oct 2001 02:20:40 -0400

xbl (1.0j-1) unstable; urgency=low

  * New upstream.

 -- Joey Hess <joeyh@debian.org>  Fri, 25 May 2001 20:54:30 -0400

xbl (1.0i-9) unstable; urgency=low

  * Took back maintainence, at least until Neil comes back. Closes: #92475
  * Accepted Branden's NMU, Closes: #86300, #87851
  * Moved high score to /var/games, Closes: #92516
  * debhelper v3

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Apr 2001 12:32:59 -0700


