=== debian/control ===
Source: xbl
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.1), libx11-dev, x11proto-core-dev, libxext-dev, xutils-dev, dpkg-dev (>= 1.9.0)
Standards-Version: 3.8.4
Homepage: http://www710.univ-lyon1.fr/ftp/xbl/xbl.html
Vcs-Git: git://git.kitenet.net/joey/packages/xbl

Package: xbl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 3-D tetris like game
 Xbl is a game involving dropping blocks, like tetris, but in 3 dimensions.
