=== debian/watch ===
version=2
http://www710.univ-lyon1.fr/ftp/xbl/ xbl-(.*).tar.gz
